## node-sshpk 1.16.1+dfsg

=== Makefile ===
#
# Copyright (c) 2012, Joyent, Inc. All rights reserved.
#
# Makefile: basic Makefile for template API service
#
# This Makefile is a template for new repos. It contains only repo-specific
# logic and uses included makefiles to supply common targets (javascriptlint,
# jsstyle, restdown, etc.), which are used by other repos as well. You may well
# need to rewrite most of this file, but you shouldn't need to touch the
# included makefiles.
#
# If you find yourself adding support for new targets that could be useful for
# other projects too, you should add these to the original versions of the
# included Makefiles (in eng.git) so that other teams can use them too.
#

#
# Tools
#
# Get md2man-roff from <https://github.com/sunaku/md2man>
MD2MAN		:= md2man-roff
NPM_EXEC	:= npm
TAP		:= ./node_modules/.bin/tape

#
# Files
#
JS_FILES	:= $(shell find lib -name '*.js')
JSL_CONF_NODE	 = tools/jsl.node.conf
JSL_FILES_NODE	 = $(JS_FILES)
JSSTYLE_FILES	 = $(JS_FILES)
JSSTYLE_FLAGS	 = -f tools/jsstyle.conf

MAN_PAGES       := $(shell ls man/src)
MAN_OUTDIR      := man/man1
MAN_OUTPAGES=$(MAN_PAGES:%.md=$(MAN_OUTDIR)/%.1)
MAN_ROOT        := man/src

include ./tools/mk/Makefile.defs
include ./tools/mk/Makefile.node_deps.defs

#
# Repo-specific targets
#
.PHONY: all
all: $(REPO_DEPS)
	$(NPM_EXEC) install

CLEAN_FILES += $(TAP) ./node_modules/tap

.PHONY: test
test: all
	TAP=1 $(TAP) test/*.js

.PHONY: coverage
coverage: all
	$(NPM_EXEC) install istanbul && \
	    ./node_modules/.bin/istanbul cover \
	    $(TAP) test/*.js

.PHONY: codecovio
codecovio: coverage
	$(NPM_EXEC) install codecov.io && \
	    ./node_modules/.bin/codecov < coverage/lcov.info

$(MAN_OUTDIR):
	mkdir -p $@

$(MAN_OUTDIR)/%.1: $(MAN_ROOT)/%.md | $(MAN_OUTDIR)
	$(MD2MAN) $^ > $@

.PHONY: manpages
manpages: $(MAN_OUTPAGES)

include ./tools/mk/Makefile.deps
include ./tools/mk/Makefile.node_deps.targ
include ./tools/mk/Makefile.targ

## node-sshpk 1.13.0+dfsg

=== debian/changelog ===
node-sshpk (1.13.0+dfsg-1) unstable; urgency=low

  * Initial release (Closes: #862284)

 -- Pirate Praveen <praveen@debian.org>  Wed, 10 May 2017 21:14:26 +0530

=== debian/control ===
Source: node-sshpk
Section: web
Priority: optional
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Build-Depends:
 debhelper (>= 9)
 , dh-buildinfo
 , nodejs
 , node-tape
 , node-marked-man
 , node-sinon
 , node-dashdash (>= 1.12.0)
 , node-assert-plus (>= 1.0.0)
 , node-getpass (>= 0.1.1)
 , node-asn1 (>= 0.2.3)
 , node-jsbn (>= 0.1.0)
 , node-ecc-jsbn (>= 0.1.1)
 , node-tweetnacl (>= 0.14.0)
 , node-bcrypt-pbkdf (>= 1.0.0)
Standards-Version: 3.9.8
Homepage: https://github.com/arekinath/node-sshpk#readme
Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-sshpk.git
Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-sshpk.git

Package: node-sshpk
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-dashdash (>= 1.12.0)
 , node-assert-plus (>= 1.0.0)
 , node-getpass (>= 0.1.1)
 , node-asn1 (>= 0.2.3)
 , node-jsbn (>= 0.1.0)
 , node-ecc-jsbn (>= 0.1.1)
 , node-tweetnacl (>= 0.14.0)
 , node-bcrypt-pbkdf (>= 1.0.0)
Description: library for finding and using SSH public keys
 Parse, convert, fingerprint and use SSH keys (both public and private) in
 pure node -- no `ssh-keygen` or other external dependencies.
 .
 Supports RSA, DSA, ECDSA (nistp-\*) and ED25519 key types, in PEM (PKCS#1,
 PKCS#8) and OpenSSH formats.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@

#override_dh_auto_build:

override_dh_auto_test:
	# exclude failing tests
	ls -1 test/*.js |grep -v openssl-cmd.js | xargs tape

override_dh_auto_clean:
	dh_auto_clean
	rm -rf man/man1

## node-sshpk 1.13.1%2Bdfsg

=== debian/changelog ===
node-sshpk (1.13.1+dfsg-1~bpo9+1) stretch-backports; urgency=medium

  * Rebuild for stretch-backports.

 -- Pirate Praveen <praveen@debian.org>  Mon, 01 Oct 2018 12:15:27 +0530

node-sshpk (1.13.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.13.1+dfsg
  * Unapply remove-jodid25519, applied upstream
  * Unapply use-nodejs, no longer needed
  * Run all tests
  * Build-Depends node-temp, openssl for tests
  * Patch test wrongly failing

 -- Jérémy Lal <kapouer@melix.org>  Sat, 30 Dec 2017 16:13:52 +0100

## node-sshpk 1.13.1+dfsg

=== debian/control ===
--- 
+++ 
@@ -1,5 +1,5 @@
 Source: node-sshpk
-Section: web
+Section: javascript
 Priority: optional
 Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
 Uploaders: Pirate Praveen <praveen@debian.org>
@@ -8,6 +8,8 @@
  , dh-buildinfo
  , nodejs
  , node-tape
+ , node-temp
+ , openssl
  , node-marked-man
  , node-sinon
  , node-dashdash (>= 1.12.0)
@@ -18,7 +20,7 @@
  , node-ecc-jsbn (>= 0.1.1)
  , node-tweetnacl (>= 0.14.0)
  , node-bcrypt-pbkdf (>= 1.0.0)
-Standards-Version: 3.9.8
+Standards-Version: 4.1.2
 Homepage: https://github.com/arekinath/node-sshpk#readme
 Vcs-Git: https://anonscm.debian.org/git/pkg-javascript/node-sshpk.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-javascript/node-sshpk.git

=== debian/rules ===
--- 
+++ 
@@ -10,8 +10,7 @@
 #override_dh_auto_build:
 
 override_dh_auto_test:
-	# exclude failing tests
-	ls -1 test/*.js |grep -v openssl-cmd.js | xargs tape
+	tape test/*.js
 
 override_dh_auto_clean:
 	dh_auto_clean

=== debian/tests/control ===
Tests: require
Depends: node-sshpk

Test-Command: ls -1 test/*.js |grep -v openssl-cmd.js | xargs tape
Depends: @, node-tape, node-sinon

=== debian/watch ===
version=3
opts=\
repacksuffix=+dfsg,\
repack,compression=xz,\
dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-sshpk-$1.tar.gz/ \
 https://github.com/arekinath/node-sshpk/tags .*/archive/v?([\d\.]+).tar.gz

## node-sshpk 1.16.1+dfsg

=== debian/changelog ===
node-sshpk (1.16.1+dfsg-2) unstable; urgency=medium

  * Team Upload.

  [ Debian Janitor ]
  * Set upstream metadata fields: Bug-Submit.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata
    (already present in machine-readable debian/copyright).

  [ Nilesh ]
  * Fix test to build with node-sinon ≥ 7
  * Bump standards version to 4.5.0
  * Fix "manpage-has-bad-whatis-entry" warning

  [ Xavier Guimard ]
  * Require node-sinon ≥ 7
  * Add Changelog field in metadata
  * Remove useless debian/dirs

 -- Nilesh <npatra974@gmail.com>  Tue, 28 Jan 2020 23:31:37 +0530

node-sshpk (1.16.1+dfsg-1) unstable; urgency=medium

  * Team upload
  * Bump debhelper compatibility level to 12
  * Declare compliance with policy 4.4.1
  * Add debian/gbp.conf
  * New upstream version 1.16.1+dfsg
  * Refresh patches
  * Switch test and install to pkg-js-tools
  * Embed safer-buffer
  * Drop unneeded version constraints from (build) dependencies
  * Update debian/copyright

 -- Xavier Guimard <yadd@debian.org>  Sat, 19 Oct 2019 09:47:52 +0200

node-sshpk (1.13.1+dfsg-2) unstable; urgency=medium

  * Team upload

  [ Pirate Praveen ]
  * Enable nocheck build profile

  [ Xavier Guimard ]
  * Declare compliance with policy 4.3.0
  * Add patch to fix ReDoS when parsing crafted invalid public keys
    (Closes: #901093, CVE-2018-3737)
  * Fix VCS fields
  * Fix debian/copyright format URL
  * Add descriptions in patches
  * Add upstream/metadata

 -- Xavier Guimard <yadd@debian.org>  Tue, 16 Apr 2019 06:57:20 +0200

=== debian/control ===
Source: node-sshpk
Maintainer: Debian Javascript Maintainers <pkg-javascript-devel@lists.alioth.debian.org>
Uploaders: Pirate Praveen <praveen@debian.org>
Section: javascript
Testsuite: autopkgtest-pkg-nodejs
Priority: optional
Build-Depends:
 debhelper-compat (= 12)
 , node-asn1 <!nocheck>
 , node-assert-plus <!nocheck>
 , node-bcrypt-pbkdf <!nocheck>
 , node-dashdash <!nocheck>
 , node-ecc-jsbn <!nocheck>
 , node-getpass <!nocheck>
 , node-jsbn <!nocheck>
 , node-marked-man
 , node-sinon (>= 7) <!nocheck>
 , node-tape <!nocheck>
 , node-temp <!nocheck>
 , node-tweetnacl <!nocheck>
 , openssl <!nocheck>
 , pkg-js-tools (>= 0.9.23~)
Standards-Version: 4.5.0
Vcs-Browser: https://salsa.debian.org/js-team/node-sshpk
Vcs-Git: https://salsa.debian.org/js-team/node-sshpk.git
Homepage: https://github.com/arekinath/node-sshpk#readme
Rules-Requires-Root: no

Package: node-sshpk
Architecture: all
Depends:
 ${misc:Depends}
 , nodejs
 , node-asn1
 , node-assert-plus
 , node-bcrypt-pbkdf
 , node-dashdash
 , node-ecc-jsbn
 , node-getpass
 , node-jsbn
 , node-tweetnacl
Description: library for finding and using SSH public keys
 Parse, convert, fingerprint and use SSH keys (both public and private) in
 pure node -- no `ssh-keygen` or other external dependencies.
 .
 Supports RSA, DSA, ECDSA (nistp-\*) and ED25519 key types, in PEM (PKCS#1,
 PKCS#8) and OpenSSH formats.
 .
 Node.js is an event-based server-side JavaScript engine.

=== debian/rules ===
#!/usr/bin/make -f
# -*- makefile -*-

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

%:
	dh $@ --with nodejs

override_dh_auto_build:
	dh_auto_build
	make manpages
	sed -i man/man1/* -re '3,5d'

=== debian/watch ===
--- 
+++ 
@@ -5,3 +5,9 @@
 dversionmangle=s/\+(debian|dfsg|ds|deb)(\.\d+)?$//,\
 filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-sshpk-$1.tar.gz/ \
  https://github.com/arekinath/node-sshpk/tags .*/archive/v?([\d\.]+).tar.gz
+
+opts=\
+component=safer-buffer,\
+dversionmangle=auto,\
+filenamemangle=s/.*\/v?([\d\.-]+)\.tar\.gz/node-safer-buffer-$1.tar.gz/ \
+ https://github.com/ChALkeR/safer-buffer/tags .*/archive/v?([\d\.]+).tar.gz ignore

## node-sshpk 1.16.1+dfsg1

=== debian/changelog ===
node-sshpk (1.16.1+dfsg1-1) unstable; urgency=medium

  * Team upload
  * Replace embedded safer-buffer by a dependency to node-safe-buffer ≥
    5.2.1+~cs2.1.2 and repack
  * Bump debhelper compatibility level to 13
  * Fix GitHub tags regex
  * Use dh-sequence-nodejs
  * Update standards version to 4.6.0, no changes needed.
  * Fix filenamemangle
  * Update nodejs dependency => nodejs:any

 -- Yadd <yadd@debian.org>  Tue, 16 Nov 2021 11:10:34 +0100

=== debian/rules ===
--- 
+++ 
@@ -5,7 +5,7 @@
 #export DH_VERBOSE=1
 
 %:
-	dh $@ --with nodejs
+	dh $@
 
 override_dh_auto_build:
 	dh_auto_build

## node-sshpk 1.17.0+dfsg

=== Makefile ===
--- 
+++ 
@@ -20,7 +20,7 @@
 # Get md2man-roff from <https://github.com/sunaku/md2man>
 MD2MAN		:= md2man-roff
 NPM_EXEC	:= npm
-TAP		:= ./node_modules/.bin/tape
+TAP		:= ./node_modules/tape/bin/tape
 
 #
 # Files

=== debian/changelog ===
node-sshpk (1.17.0+dfsg-2) unstable; urgency=medium

  * Team upload
  * Fix test for nodejs >= 16

 -- Yadd <yadd@debian.org>  Wed, 04 May 2022 06:34:02 +0200

node-sshpk (1.17.0+dfsg-1) unstable; urgency=medium

  * Team upload
  * New upstream version 1.17.0+dfsg
  * Refreshed patch due to upstream changes

 -- Israel Galadima <izzygaladima@gmail.com>  Thu, 07 Apr 2022 10:12:58 +0000

=== debian/control ===
--- 
+++ 
@@ -5,7 +5,8 @@
 Testsuite: autopkgtest-pkg-nodejs
 Priority: optional
 Build-Depends:
- debhelper-compat (= 12)
+ debhelper-compat (= 13)
+ , dh-sequence-nodejs
  , node-asn1 <!nocheck>
  , node-assert-plus <!nocheck>
  , node-bcrypt-pbkdf <!nocheck>
@@ -14,13 +15,13 @@
  , node-getpass <!nocheck>
  , node-jsbn <!nocheck>
  , node-marked-man
+ , node-safe-buffer (>= 5.2.1+~cs2.1.2) <!nocheck>
  , node-sinon (>= 7) <!nocheck>
  , node-tape <!nocheck>
  , node-temp <!nocheck>
  , node-tweetnacl <!nocheck>
  , openssl <!nocheck>
- , pkg-js-tools (>= 0.9.23~)
-Standards-Version: 4.5.0
+Standards-Version: 4.6.0
 Vcs-Browser: https://salsa.debian.org/js-team/node-sshpk
 Vcs-Git: https://salsa.debian.org/js-team/node-sshpk.git
 Homepage: https://github.com/arekinath/node-sshpk#readme
@@ -30,7 +31,6 @@
 Architecture: all
 Depends:
  ${misc:Depends}
- , nodejs
  , node-asn1
  , node-assert-plus
  , node-bcrypt-pbkdf
@@ -38,7 +38,9 @@
  , node-ecc-jsbn
  , node-getpass
  , node-jsbn
+ , node-safe-buffer (>= 5.2.1+~cs2.1.2)
  , node-tweetnacl
+ , nodejs:any
 Description: library for finding and using SSH public keys
  Parse, convert, fingerprint and use SSH keys (both public and private) in
  pure node -- no `ssh-keygen` or other external dependencies.

=== debian/watch ===
version=4
opts=\
repacksuffix=+dfsg,\
repack,compression=gz,\
dversionmangle=auto,\
filenamemangle=s/.*?(\d[\d\.-]*@ARCHIVE_EXT@)/node-sshpk-$1/ \
 https://github.com/arekinath/node-sshpk/tags .*/archive/.*/v?([\d\.]+).tar.gz
